Bug 103280 - unixODBC doesn't work with PostgreSQL
unixODBC doesn't work with PostgreSQL
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: unixODBC (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-28 11:05 EDT by Chris Ricker
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 18:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-08-28 11:05:14 EDT
Out of the box, unixODBC doesn't work with PostgreSQL

/etc/odbcinst.ini has

[PostgreSQL]
Description     = ODBC for PostgreSQL
Driver      = /usr/lib/libodbcpsql.so
Setup       = /usr/lib/libodbcpsqlS.so
FileUsage       = 1

However, /usr/lib/libodbcpsql.so (symlink to .so.2) only exists if
unixODBC-devel is installed

Either unixODBC needs to require unixODBC-devel (which would be very lame) or
the symlink needs to be moved from the unixODBC-devel package to the unixODBC
package
Comment 1 Bill Nottingham 2003-08-28 15:18:01 EDT
Or, the INI file edited to mention the actual file name?
Comment 2 Chris Ricker 2003-08-28 15:28:28 EDT
That would work (and is what I've done), but most documentation (and the
ODBCConfig program, which would also have to be updated) do it without the .1 / .2
Comment 3 Chris Ricker 2003-10-15 18:48:26 EDT
This looks fixed by today's rawhide -- now /usr/lib/libodbcpsql.so is in
unixODBC instead of unixODBC-devel

thanks!

Note You need to log in before you can comment on or make changes to this bug.